Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.pear.tools
Class PackageInstaller

    java.lang.Object
      org.apache.uima.pear.tools.PackageInstaller

    public class PackageInstaller

extends Object

The `PackageInstaller` class is the main user API for installing PEAR packages. The class has a static method `installPackage` to install PEAR packages that returns a `PackageBrowser` object containing all the needed information about the installed PEAR package.

See Also:
  `PackageBrowser`

Constructor Summary
`PackageInstaller()`

Method Summary
`static PackageBrowser` | `installPackage(File installDir, File pearPackage, boolean verify)` Installs the specified PEAR package to the specified install location.
`static PackageBrowser` | `installPackage(File installDir, File pearPackage, boolean verify, boolean cleanInstallDir)` Installs the specified PEAR package to the specified install location.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageInstaller

    public PackageInstaller()

Method Detail

### installPackage

    public static PackageBrowser installPackage(File installDir,
                                                File pearPackage,
                                                boolean verify)
                                         throws PackageInstallerException

  Installs the specified PEAR package to the specified install location. After the installation is completed, an optional installation verification step can be executed. This verification uses the main component descriptor to instantiate the UIMA resource, encapsulated in the PEAR package, and may run some additional tests, if applicable

  Parameters:
    `installDir` - PEAR package install location
    `pearPackage` - PEAR package file location to install
    `verify` - If true the PEAR package verification is done after the installation
  Returns:
    Returns a `PackageBrowser` object containing all PEAR package install settings
  Throws:
    `PackageInstallerException` - If an error occurred during the pear installation or verification.

### installPackage

    public static PackageBrowser installPackage(File installDir,
                                                File pearPackage,
                                                boolean verify,
                                                boolean cleanInstallDir)
                                         throws PackageInstallerException

  Installs the specified PEAR package to the specified install location. After the installation is completed, an optional installation verification step can be executed. This verification uses the main component descriptor to instantiate the UIMA resource, encapsulated in the PEAR package, and may run some additional tests, if applicable

  Parameters:
    `installDir` - PEAR package install location
    `pearPackage` - PEAR package file location to install
    `verify` - If true the PEAR package verification is done after the installation
    `cleanInstallDir` - If `true`, the target installation directory will be cleaned before the PEAR file is installed.
  Returns:
    Returns a `PackageBrowser` object containing all PEAR package install settings
  Throws:
    `PackageInstallerException` - If an error occurred during the pear installation or verification.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.